com.smartgwt.client.widgets.calendar.events

## Class DayHeaderClickEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<DayHeaderClickHandler>
        - - com.smartgwt.client.widgets.calendar.events.DayHeaderClickEvent

- All Implemented Interfaces:
    Cancellable

      public class DayHeaderClickEvent
      extends BrowserEvent<DayHeaderClickHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DayHeaderClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Call this method to cancel the action
    `protected void` | `dispatch(DayHeaderClickHandler handler)`
    `static <S extends HasDayHeaderClickHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<DayHeaderClickHandler>` | `getAssociatedType()`
    `Calendar` | `getCalendar()` the calendar itself
    `int` | `getColNum()` the column number to which the parameter date belongs
    `java.util.Date` | `getDate()` JavaScript Date object representing this day
    `CalendarEvent[]` | `getEvents()` events that fall on this day
    `int` | `getRowNum()` the row number to which the parameter date belongs
    `static com.google.gwt.event.shared.GwtEvent.Type<DayHeaderClickHandler>` | `getType()` Gets the type associated with this event.
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DayHeaderClickEvent

          public DayHeaderClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasDayHeaderClickHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                 com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<DayHeaderClickHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(DayHeaderClickHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<DayHeaderClickHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<DayHeaderClickHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<DayHeaderClickHandler>`

    - #### cancel

          public void cancel()

      Call this method to cancel the action
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getDate

          public java.util.Date getDate()

      JavaScript Date object representing this day
      Returns:
        JavaScript Date object representing this day

    - #### getRowNum

          public int getRowNum()

      the row number to which the parameter date belongs
      Returns:
        the row number to which the parameter date belongs

    - #### getColNum

          public int getColNum()

      the column number to which the parameter date belongs
      Returns:
        the column number to which the parameter date belongs

    - #### getCalendar

          public Calendar getCalendar()

      the calendar itself
      Returns:
        the calendar itself

    - #### getEvents

          public CalendarEvent[] getEvents()

      events that fall on this day
      Returns:
        events that fall on this day